vala-tests r29 - trunk/tests/bugs



Author: malureau
Date: Sat Oct 18 15:59:40 2008
New Revision: 29
URL: http://svn.gnome.org/viewvc/vala-tests?rev=29&view=rev

Log:
Add bug 435848 test

Added:
   trunk/tests/bugs/435848.test   (contents, props changed)
   trunk/tests/bugs/435848.vala
Modified:
   trunk/tests/bugs/update.sh

Added: trunk/tests/bugs/435848.test
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/435848.test	Sat Oct 18 15:59:40 2008
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+set -e
+
+SRCDIR=../tests/bugs
+
+if [ "x$VALAC" = "x" ] ; then
+  VALAC=valac
+  SRCDIR=.
+fi
+
+while true ; do
+    case "$1" in
+	--interact) INTERACT=1 ; shift ;;
+	--) shift ; break ;;
+	*) break ;;
+    esac
+done
+
+TESTNAME=`basename $0 .test`
+
+  $VALAC  -o $TESTNAME $SRCDIR/$TESTNAME.vala  -X -Wall $VALAFLAGS
+
+true || exit 1
+
+if [ "x1" = "x1" -o "x$INTERACT" = "x1" ] ; then
+  G_DEBUG=fatal_warnings ./$TESTNAME  $@
+else
+  echo ""
+  [ "x1" = "x0" ] && echo "*** WARNING: This vala test is interactive and will not be run (try --interact) ***"
+  [ "x1" = "xno" ] && rm -rf 435848.o
+fi
+

Added: trunk/tests/bugs/435848.vala
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/435848.vala	Sat Oct 18 15:59:40 2008
@@ -0,0 +1,7 @@
+using GLib;
+
+public class Test: Object {
+}
+
+static void main () {
+}
\ No newline at end of file

Modified: trunk/tests/bugs/update.sh
==============================================================================
--- trunk/tests/bugs/update.sh	(original)
+++ trunk/tests/bugs/update.sh	Sat Oct 18 15:59:40 2008
@@ -79,6 +79,7 @@
 TESTEXPECT=true
 [ "$test" = "433290" ] && TESTEXPECT="! grep -i my 433290.h" VALAFLAGS="$VALAFLAGS -C"
 [ "$test" = "434515" ] && VALAFLAGS="$VALAFLAGS -DWITH_TEST"
+[ "$test" = "435848" ] && VALAFLAGS="$VALAFLAGS -X -Wall"
 
 cat >$test.test <<EOF
 #!/bin/sh



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]